<?xml version="1.0" encoding="utf-8"?>
<com.huami.watch.common.widget.HmRelativeLayout android:orientation="vertical" android:layout_width="fill_parent" android:layout_height="fill_parent"
  xmlns:android="http://schemas.android.com/apk/res/android">
    <com.huami.watch.common.widget.HmTextView android:gravity="center" android:id="@id/history_title" android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_marginTop="29.0dip" android:text="@string/history_title" style="@style/sport_history_list_head_total_distance_title" />
    <com.huami.watch.common.widget.HmLinearLayout android:gravity="center" android:orientation="horizontal" android:id="@id/recovery_container" android:visibility="invisible" android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_below="@id/history_title">
        <com.huami.watch.common.widget.HmTextView android:textSize="14.0sp" android:textColor="#80ffffff" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="@string/hitory_rest_command" style="@style/sport_text_style" />
        <com.huami.watch.newsport.ui.view.NumberTextView android:textSize="14.0sp" android:id="@id/remain_recovery_time" android:layout_width="wrap_content" android:layout_height="wrap_content" style="@style/sport_num_text_style" />
        <com.huami.watch.common.widget.HmTextView android:textSize="14.0sp" android:textColor="#80ffffff" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="@string/hitory_rest_command_time" style="@style/sport_text_style" />
    </com.huami.watch.common.widget.HmLinearLayout>
    <com.huami.watch.common.widget.HmRelativeLayout android:id="@id/no_history_container" android:visibility="invisible" android:layout_width="fill_parent" android:layout_height="fill_parent" android:layout_marginTop="16.0dip" android:layout_below="@id/history_title">
        <com.huami.watch.common.widget.HmImageView android:layout_width="wrap_content" android:layout_height="wrap_content" android:src="@drawable/sport_record_default" android:layout_centerHorizontal="true" />
        <com.huami.watch.common.widget.HmTextView android:textSize="14.0sp" android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_marginLeft="36.0dip" android:layout_marginRight="33.0dip" android:layout_marginBottom="20.0dip" android:text="@string/history_no_sport_tips" android:layout_alignParentBottom="true" android:lineSpacingExtra="3.0dip" style="@style/sport_text_style" />
    </com.huami.watch.common.widget.HmRelativeLayout>
    <com.huami.watch.common.widget.HmRelativeLayout android:id="@id/record_container" android:layout_width="fill_parent" android:layout_height="fill_parent" android:layout_marginTop="24.0dip" android:layout_below="@id/history_title">
        <com.huami.watch.common.widget.HmRelativeLayout android:id="@id/title_container" android:layout_width="fill_parent" android:layout_height="@dimen/history_widget_content_height">
            <View android:id="@id/sport_line" android:layout_width="2.5999756dip" android:layout_height="33.0dip" android:layout_marginLeft="23.699982dip" android:layout_centerVertical="true" />
            <com.huami.watch.common.widget.HmRelativeLayout android:layout_width="wrap_content" android:layout_height="fill_parent" android:layout_marginLeft="12.0dip" android:layout_marginRight="62.0dip" android:layout_toRightOf="@id/sport_line">
                <com.huami.watch.common.widget.HmTextView android:textSize="16.0sp" android:gravity="left" android:id="@id/sport_type" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="-3.0dip" android:layout_alignParentTop="true" style="@style/sport_text_style" />
                <com.huami.watch.common.widget.HmTextView android:textSize="12.0sp" android:gravity="bottom" android:id="@id/date_title" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_alignParentBottom="true" style="@style/sport_text_style" />
            </com.huami.watch.common.widget.HmRelativeLayout>
            <com.huami.watch.common.widget.HmImageView android:id="@id/sport_type_img" android:layout_width="32.0dip" android:layout_height="32.0dip" android:layout_marginRight="31.0dip" android:layout_alignParentRight="true" android:layout_centerVertical="true" />
        </com.huami.watch.common.widget.HmRelativeLayout>
        <com.huami.watch.common.widget.HmRelativeLayout android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_marginTop="@dimen/history_widget_content_margin_top" android:layout_below="@id/title_container">
            <com.huami.watch.common.widget.HmLinearLayout android:orientation="vertical" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="39.299988dip">
                <com.huami.watch.common.widget.HmTextView android:textSize="10.0sp" android:textColor="#80ffffff" android:id="@id/dis_title" android:layout_width="wrap_content" android:layout_height="wrap_content" style="@style/sport_text_style" />
                <com.huami.watch.newsport.ui.view.NumberTextView android:textSize="24.0sp" android:id="@id/dis_value" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="7.0dip" style="@style/sport_num_text_style" />
            </com.huami.watch.common.widget.HmLinearLayout>
            <com.huami.watch.common.widget.HmLinearLayout android:orientation="vertical" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="111.29999dip">
                <com.huami.watch.common.widget.HmTextView android:textSize="10.0sp" android:textColor="#80ffffff" android:id="@id/time_title" android:layout_width="wrap_content" android:layout_height="wrap_content" style="@style/sport_text_style" />
                <com.huami.watch.newsport.ui.view.NumberTextView android:textSize="24.0sp" android:id="@id/time_value" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="7.0dip" style="@style/sport_num_text_style" />
            </com.huami.watch.common.widget.HmLinearLayout>
        </com.huami.watch.common.widget.HmRelativeLayout>
        <FrameLayout android:layout_width="fill_parent" android:layout_height="wrap_content">
            <View android:layout_gravity="center" android:id="@id/loading_view" android:visibility="visible" android:layout_width="100.0px" android:layout_height="100.0px" />
        </FrameLayout>
    </com.huami.watch.common.widget.HmRelativeLayout>
</com.huami.watch.common.widget.HmRelativeLayout>